Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions

# OdeBody Class Reference

List of all members.

## Public Member Functions
| OdeBody (OdeWorld world)
| addForce (VBase3 const f)
| addForce (float fx, float fy, float fz)
| addForceAtPos (VBase3 const f, VBase3 const pos)
| addForceAtPos (float fx, float fy, float fz, float px, float py, float pz)
| addForceAtRelPos (VBase3 const f, VBase3 const pos)
| addForceAtRelPos (float fx, float fy, float fz, float px, float py, float pz)
| addRelForce (VBase3 const f)
| addRelForce (float fx, float fy, float fz)
| addRelForceAtPos (VBase3 const f, VBase3 const pos)
| addRelForceAtPos (float fx, float fy, float fz, float px, float py, float pz)
| addRelForceAtRelPos (VBase3 const f, VBase3 const pos)
| addRelForceAtRelPos (float fx, float fy, float fz, float px, float py, float pz)
| addRelTorque (VBase3 const f)
| addRelTorque (float fx, float fy, float fz)
| addTorque (VBase3 const f)
| addTorque (float fx, float fy, float fz)
int | compareTo (OdeBody const other)
| destroy ()
| disable ()
| enable ()
VBase3 | getAngularVel ()
float | getAutoDisableAngularThreshold ()
int | getAutoDisableFlag ()
float | getAutoDisableLinearThreshold ()
int | getAutoDisableSteps ()
float | getAutoDisableTime ()
PyObject | getData ()
VBase3 | getFiniteRotationAxis ()
int | getFiniteRotationMode ()
int | getGravityMode ()
dxBody | getId ()
| Returns the underlying dBodyID.
OdeJoint | getJoint (int index)
list | getJoints ()
VBase3 | getLinearVel ()
OdeMass | getMass ()
int | getNumJoints ()
Point3 | getPointVel (VBase3 const pos)
Point3 | getPointVel (float px, float py, float pz)
VBase3 | getPosition ()
Point3 | getPosRelPoint (VBase3 const pos)
Point3 | getPosRelPoint (float px, float py, float pz)
VBase4 | getQuaternion ()
Point3 | getRelPointPos (float px, float py, float pz)
Point3 | getRelPointPos (VBase3 const pos)
Point3 | getRelPointVel (float px, float py, float pz)
Point3 | getRelPointVel (VBase3 const pos)
Mat3 | getRotation ()
bool | isEmpty ()
| Returns true if the ID is 0, meaning the OdeBody does not point to a valid body.
int | isEnabled ()
| setAngularVel (float x, float y, float z)
| setAngularVel (VBase3 const vel)
| setAutoDisableAngularThreshold (float angular_threshold)
| setAutoDisableDefaults ()
| setAutoDisableFlag (int do_auto_disable)
| setAutoDisableLinearThreshold (float linear_threshold)
| setAutoDisableSteps (int steps)
| setAutoDisableTime (float time)
| setData (PyObject data)
| setFiniteRotationAxis (float x, float y, float z)
| setFiniteRotationAxis (VBase3 const axis)
| setFiniteRotationMode (int mode)
| setForce (float x, float y, float z)
| setForce (VBase3 const f)
| setGravityMode (int mode)
| setLinearVel (float x, float y, float z)
| setLinearVel (VBase3 const vel)
| setMass (OdeMass mass)
| setPosition (VBase3 const pos)
| setPosition (float x, float y, float z)
| setQuaternion (Quat const q)
| setRotation (Mat3 const r)
| setTorque (float x, float y, float z)
| setTorque (VBase3 const f)
VBase3 | vectorFromWorld (VBase3 const pos)
VBase3 | vectorFromWorld (float px, float py, float pz)
VBase3 | vectorToWorld (VBase3 const pos)
VBase3 | vectorToWorld (float px, float py, float pz)
| write ()
| write (ostream out)
| write (ostream out, unsigned int indent)
## Static Public Member Functions
static TypeHandle | getClassType ()

## Constructor & Destructor Documentation

OdeBody | ( | OdeWorld | world | ) |

## Member Function Documentation

addForce | ( | VBase3 const | f | ) |

addForce | ( | float | fx,
|  | float | fy,
|  | float | fz
| ) |  |

addForceAtPos | ( | VBase3 const | f,
|  | VBase3 const | pos
| ) |  |

addForceAtPos | ( | float | fx,
|  | float | fy,
|  | float | fz,
|  | float | px,
|  | float | py,
|  | float | pz
| ) |  |

addForceAtRelPos | ( | VBase3 const | f,
|  | VBase3 const | pos
| ) |  |

addForceAtRelPos | ( | float | fx,
|  | float | fy,
|  | float | fz,
|  | float | px,
|  | float | py,
|  | float | pz
| ) |  |

addRelForce | ( | VBase3 const | f | ) |

addRelForce | ( | float | fx,
|  | float | fy,
|  | float | fz
| ) |  |

addRelForceAtPos | ( | VBase3 const | f,
|  | VBase3 const | pos
| ) |  |

addRelForceAtPos | ( | float | fx,
|  | float | fy,
|  | float | fz,
|  | float | px,
|  | float | py,
|  | float | pz
| ) |  |

addRelForceAtRelPos | ( | VBase3 const | f,
|  | VBase3 const | pos
| ) |  |

addRelForceAtRelPos | ( | float | fx,
|  | float | fy,
|  | float | fz,
|  | float | px,
|  | float | py,
|  | float | pz
| ) |  |

addRelTorque | ( | VBase3 const | f | ) |

addRelTorque | ( | float | fx,
|  | float | fy,
|  | float | fz
| ) |  |

addTorque | ( | float | fx,
|  | float | fy,
|  | float | fz
| ) |  |

addTorque | ( | VBase3 const | f | ) |

int compareTo | ( | OdeBody const | other | ) |

destroy | ( |  | ) |

disable | ( |  | ) |

enable | ( |  | ) |

VBase3 getAngularVel | ( |  | ) |

float getAutoDisableAngularThreshold | ( |  | ) |

int getAutoDisableFlag | ( |  | ) |

float getAutoDisableLinearThreshold | ( |  | ) |

int getAutoDisableSteps | ( |  | ) |

float getAutoDisableTime | ( |  | ) |

static TypeHandle getClassType | ( |  | ) | `[static]`

PyObject getData | ( |  | ) |

VBase3 getFiniteRotationAxis | ( |  | ) |

int getFiniteRotationMode | ( |  | ) |

int getGravityMode | ( |  | ) |

dxBody getId | ( |  | ) |

Returns the underlying dBodyID.

OdeJoint getJoint | ( | int | index | ) |

list getJoints | ( |  | ) |

VBase3 getLinearVel | ( |  | ) |

OdeMass getMass | ( |  | ) |

int getNumJoints | ( |  | ) |

Point3 getPointVel | ( | VBase3 const | pos | ) |

Point3 getPointVel | ( | float | px,
|  | float | py,
|  | float | pz
| ) |  |

VBase3 getPosition | ( |  | ) |

Point3 getPosRelPoint | ( | float | px,
|  | float | py,
|  | float | pz
| ) |  |

Point3 getPosRelPoint | ( | VBase3 const | pos | ) |

VBase4 getQuaternion | ( |  | ) |

Point3 getRelPointPos | ( | VBase3 const | pos | ) |

Point3 getRelPointPos | ( | float | px,
|  | float | py,
|  | float | pz
| ) |  |

Point3 getRelPointVel | ( | float | px,
|  | float | py,
|  | float | pz
| ) |  |

Point3 getRelPointVel | ( | VBase3 const | pos | ) |

Mat3 getRotation | ( |  | ) |

bool isEmpty | ( |  | ) |

Returns true if the ID is 0, meaning the OdeBody does not point to a valid body.

It is an error to call a method on an empty body. Note that an empty OdeBody also evaluates to False.

int isEnabled | ( |  | ) |

setAngularVel | ( | VBase3 const | vel | ) |

setAngularVel | ( | float | x,
|  | float | y,
|  | float | z
| ) |  |

setAutoDisableAngularThreshold | ( | float | angular_threshold | ) |

setAutoDisableDefaults | ( |  | ) |

setAutoDisableFlag | ( | int | do_auto_disable | ) |

setAutoDisableLinearThreshold | ( | float | linear_threshold | ) |

setAutoDisableSteps | ( | int | steps | ) |

setAutoDisableTime | ( | float | time | ) |

setData | ( | PyObject | data | ) |

setFiniteRotationAxis | ( | VBase3 const | axis | ) |

setFiniteRotationAxis | ( | float | x,
|  | float | y,
|  | float | z
| ) |  |

setFiniteRotationMode | ( | int | mode | ) |

setForce | ( | float | x,
|  | float | y,
|  | float | z
| ) |  |

setForce | ( | VBase3 const | f | ) |

setGravityMode | ( | int | mode | ) |

setLinearVel | ( | float | x,
|  | float | y,
|  | float | z
| ) |  |

setLinearVel | ( | VBase3 const | vel | ) |

setMass | ( | OdeMass | mass | ) |

setPosition | ( | VBase3 const | pos | ) |

setPosition | ( | float | x,
|  | float | y,
|  | float | z
| ) |  |

setQuaternion | ( | Quat const | q | ) |

setRotation | ( | Mat3 const | r | ) |

setTorque | ( | VBase3 const | f | ) |

setTorque | ( | float | x,
|  | float | y,
|  | float | z
| ) |  |

VBase3 vectorFromWorld | ( | VBase3 const | pos | ) |

VBase3 vectorFromWorld | ( | float | px,
|  | float | py,
|  | float | pz
| ) |  |

VBase3 vectorToWorld | ( | VBase3 const | pos | ) |

VBase3 vectorToWorld | ( | float | px,
|  | float | py,
|  | float | pz
| ) |  |

write | ( | ostream | out | ) |

write | ( |  | ) |

write | ( | ostream | out,
|  | unsigned int | indent
| ) |  |

All Classes Namespaces Functions Variables Enumerations Enumerator Properties